;________________________________________________________________________
;
;                           O P T I O N S . A S M
;________________________________________________________________________
;
; R918_PIC user options - by Max IK3SVW - February 2006
; Based on original u2k package by Byon Garrabrant, N6BG
;________________________________________________________________________
;
#define	OPT_AUTO_TX_DELAY	D'0'
#define	OPT_WX_BEACON_RATE	D'1'
#define	OPT_STATUS_RATE		D'2'
#define	OPT_WX_ALERT		D'3'
#define	OPT_CALLSIGN_DIGI	D'4'
;________________________________________________________________________

Get_Option
	addwf	PCL, F

Option_Start

;	If you wish modify the 4 general settings values below
	dt	D'60'	; Tx-Delay flags (TXD) 3 flags = 10 ms
	dt	D'10'	; Wx beacon every n minutes
	dt	D'20'	; Status beacon every n minutes
	dt	D'0'	; 1=bcn if rain var. 2=bcn if baro var. 3=both 0=none

;	Please change data below with your callsign, dest and digi(s)
;	Recommended digi/ssid for new widen-n paradigm: WIDE3-3
	dt	"APEWX ", D'0' + H'30'	; Destination APE indicates Pic-E.
	dt	"NOCALL", D'0' + H'30'	; Callsign and ssid
;	dt	"WIDE1 ", D'1' + H'30'	; Digi and ssid (Recommended to be commented)
	dt	"WIDE3 ", D'3' + H'30'	; Digi and ssid ("WIDE3 ",D'3' recommended)
	dt	0

;	Please change lat/lon in wx beacon header with your lat/lon position.
Wx_Beacon_Header
	dt	"0000.00N/00000.00E_"	; Wx stn simbol (/ and _) must be included.
	dt 	0

;	If you wish change the status string below.
Status_String
	dt	"Pic-E WMR-918 stand-alone Wx Station!"
	dt 	0

;	Barometer prediction labels. If you wish change with your language.
Baro_Sunny
	dt	"Sereno"
	dt 	0
Baro_Cloudy
	dt	"Nuvoloso"
	dt 	0
Baro_Partly
 	dt	"Variabile"
	dt 	0
Baro_Rain
	dt	"Pioggia"
	dt 	0
Baro_Snow
	dt	"Neve"
	dt 	0

;	Uncomment the #define line below to insert local or gmt date/time
;	on beginning of wx beacon instead of zulu (GMT) date/time
;	on beginning of status report beacon.
#define	WX_BCN_TIMESTAMP	;Default is not commented (defined)

;	Uncomment de #define line below to set local time timestamp
;	instead of GMT timestamp on wx beacon. This applies only
;	if WX_BCN_TIMESTAMP is not commented (defined).
;#define	WX_BCN_ZULU_TIMESTAMP	;Default is commented (not defined)

;	Uncomment the #define line below to send always barometric prediction
;	on the Status Text.
#define	ALWAYS_STATUS_PREDICTION	;Default is not commented (defined)
